[TREE]
<Moblin 2.0>/<Certification Tests>/<Runtime Interface Tests>/core

[DESCRIPTIONS]
TESTSUITE core	Moblin
		DISPLAYNAME = Core Tests
		DESCRIPTION = A test suite for testing core interfaces for conformance to the LSB Specifications.
TESTSUITE END

[OPTIONS]
TESTSUITE core	Moblin

ID: PERSON
Q: Name of person running tests?
PRE: Name of person running tests[^\?]*\?
DEFAULT: Automated

ID: ORGANISATION
Q: Organisation?
PRE: Organisation[^\?]*\?
DEFAULT: N/A

ID: TEST_SYSTEM
Q: Test System?
PRE: Test System[^\?]*\?
DEFAULT: Distribution Checker

ID: PROVIDES_BASH
Q: Does the implementation provide bash as /bin/sh?
PRE: Does the implementation provide bash as \/bin\/sh[^\?]*\?
DEFAULT: n

ID: PROVIDES_SYSV_INIT
Q: Does the implementation provide a System V Init mechanism?
PRE: Does the implementation provide a System V Init mechanism[^\?]*\?
# Empty answer means "default"
DEFAULT: 

ID: PATH_TO_RC.D
Q: The pathname for the parent directory for the rc.d directories
PRE: Enter the pathname for the parent directory for the rc\.d directories[^\]]*\]
DEFAULT:

ID: PROVIDES_C_SHELL
Q: Does the implementation provide a C shell?
PRE: Does the implementation provide a C shell[^\?]*\?
DEFAULT: n

ID: KERNEL_NAME
Q: Enter the name of the Kernel?
PRE: Enter the name of the Kernel[^\?]*\?
DEFAULT: vmlinuz

ID: ALLOWS_MAKEDEV
Q: Does the implementation allow users to create devices using MAKEDEV?
PRE: Does the implementation allow users to create devices using MAKEDEV[^\?]*\?
DEFAULT: n

ID: SUPPORTS_FILE_CMD
Q: Does the implementation support the file command?
PRE: Does the implementation support the file command[^\?]*\?
DEFAULT: y

ID: SUPPORTS_PROCESS_ACCOUNTING
Q: Does the implementation support process accounting?
PRE: Does the implementation support process accounting[^\?]*\?
DEFAULT: n

ID: SUPPORTS_NLS
Q: Does the implementation support NIS?
PRE: Does the implementation support NIS[^\?]*\?
DEFAULT: n

ID: INSTALL_LSBPAM_CONF
Q: Install /etc/pam.d/lsbpam_conf?
PRE: Install \/etc\/pam\.d\/lsbpam_conf[^\?]*\?
DEFAULT: y

ID: SET_PASS_MIN_DAYS
Q: Set PASS_MIN_DAYS to 0 for vsx0, vsx1, vsx2?
PRE: Set PASS_MIN_DAYS to 0 for vsx0,vsx1,vsx2[^\?]*\?
DEFAULT: y

ID: ISNTALL_DEVS
Q: Install nonexistent devices?
PRE: Install nonexistent devices[^\?]*\?
DEFAULT: y

ID: TESTRUN_PATH
Q: Path to the run script
DEFAULT: /home/tet/test_sets

[MODULES]
TESTSUITE core	Moblin
 module Core_test.pm

[COMPOSITION]
#TESTSUITE core	*	Moblin 2.0	x86	cert
#	lsb-setup		*	<base>
#	lsb-tet3-lite	*	<released-all>
#	lsb-test-core	*	<runtime-4.0>

TESTSUITE core	*	Moblin 2.0	x86	cert
	lsb-setup		*	<moblin-beta>/lsb
	lsb-tet3-lite	*	<moblin-beta>/lsb
	lsb-test-core	*	<moblin-beta>/lsb

