[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-ghostscript

[DESCRIPTIONS]
TESTSUITE man-ghostscript	Moblin
		DISPLAYNAME = Ghostscript Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Ghostscript - a postscript interpreter.
TESTSUITE END

[MANUAL]
TESTSUITE man-ghostscript	Moblin

STEP Run the command <tt>/opt/lsb/appbat/bin/gs -dBATCH -dNOPAUSE -dQUIET -sDEVICE=cups -sOutputFile=gstest.out /opt/lsb/appbat/share/ghostscript/8.62/examples/tiger.eps && echo $? && ls -l gstest.out</tt>.<br />- Expected result: The return code is <tt>"0"</tt> and the file <tt>foo.out</tt> is created (some DEBUG output from the cups driver is expected).<br /><br />Example:<blockquote><pre>
0
-rw-rw-r-- 1 stew stew 119500 2008-02-11 15:34 gstest.out
</pre></blockquote>

STEP Run the command <tt>/opt/lsb/appbat/bin/gs -dBATCH -dQUIET /opt/lsb/appbat/share/ghostscript/8.62/examples/tiger.eps</tt>.<br />- Expected result: The <tt>tiger.eps</tt> document is displayed in a window.

STEP Press the <tt>"Enter"</tt> key with the <tt>tiger.eps</tt> window active.<br />- Expected result: The <tt>tiger.eps</tt> document window disappears.

[MODULES]
TESTSUITE man-ghostscript	Moblin
 module Manual_test.pm

[COMPOSITION]

#TESTSUITE man-ghostscript	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-ghostscript	*	<appbat-4.0>

TESTSUITE man-ghostscript	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-ghostscript	*	<moblin-beta>/lsb

