[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-lynx

[DESCRIPTIONS]
TESTSUITE man-lynx	Moblin
		DISPLAYNAME = Lynx Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Lynx - a text-based Web browser.
TESTSUITE END

[MANUAL]
TESTSUITE man-lynx Moblin

STEP Ensure you are using a locale that uses the ISO-8859-1 character set:<blockquote><pre>locale charmap</pre></blockquote>- Expected result: command returns "ISO-8859-1"<blockquote><pre>echo -e '\0374'</pre></blockquote>- Expected result: command displays a lower case "u" with an umlaut (&uuml;)

STEP Run the command: <tt>/opt/lsb/appbat/bin/lynx</tt>.<br />- Expected result: The text-based browser will come up and display a welcome page for lsb-lynx. On this page the heading "<tt>Welcome to lsb-lynx!!!</tt>" should be the color magenta, the current position on the "<tt>Test comments</tt>" link should be the color red, and the other three test links should be the color blue.

STEP Use the right arrow key to select the "<tt>1. Test comments</tt>" link.<br />- Expected result: A web page with many comment entries is displayed. Use the up and down arrows to scroll up and down the page. After viewing the comments page use the left arrow key to return to the lsb-lynx welcome page.

STEP Use the down arrow key to highlight the "<tt>2. Test tabs</tt>" link and then the right arrow key to select the link.<br />- Expected result: A web page with many tab entries is displayed. Use the up and down arrows to scroll up and down the page. After viewing the tabs page use the left arrow key to return to the lsb-lynx welcome page.

STEP Use the down arrow key to highlight the "<tt>3. Test character sets</tt>" link and then the right arrow key to select the link.<br />- Expected result: A web page with the characters in the miminal ISO LATIN1 character set is displayed. Use the up and down arrows to scroll up and down the page. After viewing the ISO LATIN1 page use the left arrow key to return to the lsb-lynx welcome page.

STEP Use the down arrow key to highlight the "<tt>4. Test character sets</tt>" link and then the right arrow key to select the link.<br />- Expected result: A web page with characters in the iso8859-1 character set is displayed. Use the up and down arrows to scroll up and down the page. After viewing the iso8859-1 page use the left arrow key to return to the lsb-lynx welcome page.

[MODULES]
TESTSUITE man-lynx	Moblin
 module Manual_test.pm

[COMPOSITION]
#TESTSUITE man-lynx	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-lynx	*	<appbat-4.0>

TESTSUITE man-lynx	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-lynx	*	<moblin-beta>/lsb

