[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-moblin-desktop

[DESCRIPTIONS]
TESTSUITE man-moblin-desktop	Moblin
		DISPLAYNAME = Manual Moblin Desktop Tests
		DESCRIPTION = Moblin Compliance Tests for desktop.
TESTSUITE END

[MANUAL]
TESTSUITE man-moblin-desktop	Moblin

STEP 1. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin_desktop_test.sh">moblin_desktop_test.sh</a>, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly, and then run "sudo ./moblin_desktop_test.sh 1".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output. <br />- Expected result:  One application Could be launched from file browser.<br/>Please check output of the script.

STEP 1. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin_desktop_test.sh">moblin_desktop_test.sh</a>, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly, and then run "sudo ./moblin_desktop_test.sh 2".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output. <br />- Expected result:  One application Could be launched from menu.<br/>Please check output of the script.

STEP 1. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin_desktop_test.sh">moblin_desktop_test.sh</a>, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly, and then run "sudo ./moblin_desktop_test.sh 3".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output. <br />- Expected result:  One application Could be listed in at least one category of menu.<br/>Please check output of the script.

STEP 1. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin.png" target="_blank">moblin.png</a> to one directory, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly.<br />2. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin_desktop_test.sh">moblin_desktop_test.sh</a> to the same directory, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly, and then run "sudo ./moblin_desktop_test.sh 4".<br/>3. Follow the instruction to check on your target desktop.<br/>4. Get the result output. <br />- Expected result:  applications should support png-icon as their icons.<br/>Please check output of the script.

STEP 1. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin.svg" target="_blank">moblin.svg</a> to one directory, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly.<br />2. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin_desktop_test.sh">moblin_desktop_test.sh</a> to the same directory, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly, and then run "sudo ./moblin_desktop_test.sh 5".<br/>3. Follow the instruction to check on your target desktop.<br/>4. Get the result output. <br />- Expected result:  applications should support svg-icon as their icons.<br/>Please check output of the script.

STEP 1. Download <a href="get.pl/var/opt/moblin/test/manager/data/moblin-test/desktop_content/moblin_desktop_test.sh">moblin_desktop_test.sh</a>, you can also get it from /var/opt/moblin/test/manager/data/moblin-test/desktop_content directly, and then run "sudo ./moblin_desktop_test.sh 6".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output. <br />- Expected result:  Application should support "Link" type and could open specified webpage.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>root</B></FONT>, and then run "./testrun xdg-desktop-menu/t.14-menu_install_category".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output, verify that the menu properly supports category: 'AudioVideo', 'Game', 'Office', 'System', 'Education', 'Graphics', 'Network' and 'Utility'.<br />- Expected result: The item should be found under menus that is related to 'AudioVideo', 'Game', 'Office', 'System', 'Education', 'Graphics', 'Network' and 'Utility' respectively during 8 testing.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>root</B></FONT>, and then run "./testrun xdg-desktop-menu/t.22-menu_system_install".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output, verify a system menu is created correctly. <br />- Expected result: Menu could be created under main menu and item in this menu could be launched.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>root</B></FONT>, and then run "./testrun xdg-desktop-menu/t.23-menu_system_uninstall".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output, verify a system menu is removed correctly. <br />- Expected result: Menu could be created under main menu and also could be uninstalled.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>normal user</B></FONT>, and then run "./testrun xdg-desktop-menu/t.12-menu_user_install".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output, verify a user menu is created correctly. <br />- Expected result: Menu could be created under main menu and item in this menu could be launched.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>normal user</B></FONT>, and then run "./testrun xdg-desktop-menu/t.13-menu_user_uninstall".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output, verify a user menu is removed correctly. <br />- Expected result: Menu could be created under main menu and also could be uninstalled.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>root</B></FONT>, and then run "./testrun xdg-utils-usecases/t.10-file_icon".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output. <br />- Expected result: File could be shown with icon in file browser.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>root</B></FONT>, and then run "./testrun xdg-utils-usecases/t.11-desktop_file_icon".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output. <br />- Expected result: Desktop file could be shown with icon in file browser.<br/>Please check output of the script.

STEP [xdg-utils tests]<br/>1. On your target desktop, enter to directory /var/opt/moblin/test/manager/data/moblin-test/desktop_content/xdg-utils-tests from terminal with <FONT color=red><B>root</B></FONT>, and then run "./testrun xdg-icon-resource/t.icon_system_install".<br/>2. Follow the instruction to check on your target desktop.<br/>3. Get the result output, verify icon with 7 sizes is installed correctly. <br />- Expected result: All 7 tests with different icon size pass.<br/>Please check output of the script.

TESTSUITE END

[MODULES]
TESTSUITE man-moblin-desktop	Moblin
 module Manual_test.pm

[COMPOSITION]
TESTSUITE man-moblin-desktop	*	Moblin 2.0	x86	cert
	moblin-test-desktop	*	<moblin-beta>
