[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-moblin-perf-power

[DESCRIPTIONS]
TESTSUITE man-moblin-perf-power	Moblin
		DISPLAYNAME = Manual Moblin Power Perfomance Tests
		DESCRIPTION = Moblin Compliance Tests for Power Perfomance.
TESTSUITE END

[MANUAL]
TESTSUITE man-moblin-perf-power	Moblin

STEP 1. Prepare any mechanical or electronical timer in hand, then reboot system for at least 3 times.<br />2. Make sure you plugged nothing into target, such as network cable, usb mouse/keyboard, and then restart and boot the system again. After the system booting, start timer when grub screen appears, and stop timer when the desktop environment appears. <br />- Expected result: Boot time is less than 10s

STEP 1. Press power button to shutdown the system.<br />2. Record the time from press the power button to the system shutdown.<br />3. Repeat the upper 2 steps for 3 times to get average time. <br />- Expected result: Average time is less than 18s

STEP 1. Play an video file with media player. You can get some video files from /var/opt/moblin/test/moblin-test/moblin-test-media/tests/manual/media_content. <br />2. At the same time, "sudo pm-suspend"<br />3. Wait for 60 seconds, press power button to resume<br />4. Check player status <br />- Expected result: It should continue to play from the suspended position

STEP 1. Play an audio file with media player. You can get some audio files from /var/opt/moblin/test/moblin-test/moblin-test-media/tests/manual/media_content. <br />2. At the same time, "sudo pm-suspend"<br />3. Wait for 60 seconds, press power button to resume<br />4. Check player status <br />- Expected result: It should continue to play from the suspended position

STEP 1. Plug in usb mouse and keyboard<br />2. "sudo pm-suspend"<br />3. Wait for 60 seconds, press power button to resume<br />4. Check usb mouse and keyboard <br />- Expected result: devices work well

STEP 1. Ping a remote machine<br />2. At the same time, "sudo pm-suspend"<br />3. Wait for 60 seconds, press power button to resume<br />4. Check ping status <br />- Expected result: It should continue to ping successfully

STEP 1. "sudo pm-suspend"<br />2. Wait a minute util the system go to suspend state<br />3. Press power button <br />-  Expected result: the system should wake up.

STEP 1. Keep system idle and no applications launched. Use command "sudo pm-suspend" to make system enter into S3.<br />2. Record the time from inputing the command to system has been suspended.<br />3. Repeat upper 2 steps for 3 times to get average time <br />- Expected result:  average time is less than 5s

STEP 1. Keep system idle and no applications launched. Use command "sudo pm-suspend" to make system enter into S3.<br />2. Push power button to resume the system.<br />3. Record the time from pushing power button to system has been resumed.<br />4. Repeat upper 2 steps for 3 times to get average time <br />- Expected result:  average time is less than 8s

TESTSUITE END

[MODULES]
TESTSUITE man-moblin-perf-power	Moblin
 module Manual_test.pm

[COMPOSITION]
TESTSUITE man-moblin-perf-power	*	Moblin 2.0	x86	cert
	moblin-test-media	*	<moblin-beta>
# man-moblin-perf-power test uses data from moblin-test-media
