[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-xpaint

[DESCRIPTIONS]
TESTSUITE man-xpaint	Moblin
		DISPLAYNAME = Xpaint Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Xpaint - an X Window System image editing and painting program.
TESTSUITE END

[MANUAL]
TESTSUITE man-xpaint Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-xpaint</b> should show up in the Graphics category, if present.<br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/xpaint</tt>.<br />- Expected result: xpaint application window comes up.

STEP Select <tt>Canvas -&gt; New Canvas</tt> from the pull-down menu.<br />- Expected result: window with a new blank canvas comes up.

STEP Select a solid color from the primary palette and then draw on canvas by holding down left mouse button and dragging mouse.<br />- Expected result: canvas shows figure in solid color chosen.

STEP Select one of the multi-color patterns from the primary palette and draw more figures on the canvas.<br />- Expected result: canvas shows figure using pattern chosen.

STEP Select <tt>File -&gt; Close</tt> from the canvas window and select <tt>OK</tt> when asked if you really want to close the window.<br />- Expected result: canvas window closes.

STEP Select <tt>Canvas -&gt; Take Snapshot</tt> from the pull-down menu. Take a snapshot of some portion of the screen by moving the cursor to the upper left of the desired target, hold down left mouse button, drag cursor to the lower right of the desired target and release mouse button.<br />- Expected result: New canvas comes up with selected portion of screen on the canvas.

[MODULES]
TESTSUITE man-xpaint	Moblin
 module Manual_test.pm

[COMPOSITION]
#TESTSUITE man-xpaint	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-xpaint	*	<appbat-4.0>

TESTSUITE man-xpaint	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-xpaint	*	<moblin-beta>/lsb

